// OurServices.vue

<template>
   <div>
        <!-- Navigation Component -->
        <Navigation />
        <!-- Navigation Component -->

        <!-- Distribution Page -->
        <div class="first_section">
          <p data-aos="fade-up" data-aos-duration="600" data-aos-delay="500" class="first_section_text">
            Professional grooming is our specialty. We distribute car products and 
            <br>
            offer car grooming services &mdash; from car washing, polishing to detailing.
            <br>
            Z3M delivers professionally groomed and detailed cars while
            <br>
            saving client's valuable time and money. Hassle-free guaranteed.
          </p>
        </div>
         
          <div data-aos="fade-up" data-aos-duration="600" data-aos-delay="1000" data-aos-once="true" class="onresponsive-only">
            <img src="../assets/AW_Box-4.jpg" alt="dist-image"
            width="100%">
          </div>

        <div  class="second_section">
          <div class="second">
          <div class="second_section_text">
            <h4 data-aos="fade-up" data-aos-delay="1500" data-aos-once="true">DISTRIBUTION</h4>
            <p data-aos="fade-up" data-aos-delay="1700" data-aos-once="true">Z3M is constantly on the search for premium car care products for our 

            valued customers. Currently, we hold the distributorship for AngelWax, 
           
            Tonyin and RiSense Systems for the Southeast Asia region. As regional 
           
            distributor and active users of the products we carry, Z3M maintains close 
           
            working relationships with our product manufacturers and principals. We 
           
            provide our partners with regular feedback and ideas for product improvement, 
           
            thereby providing our customers a high level of confidence in the quality 
           
            and reliability of our products.
            </p>
          </div>
          </div>
        </div>

        <div class="third_section_wrapper">
          <div  class="timeline desktop-services">
              <img class="distri-icons desktop-icon" data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" src="../assets/icons/Premium.png"  width="150px" alt="Exclusive Distributor">
              <div class="container right">
                <div class="content">
                 <img data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/Premium.png"  width="90px" alt="Exclusive Distributor">
                  <h3  data-aos="fade-up" data-aos-duration="500"  data-aos-once="true"  class="dist-subhead">Exclusive Distributor</h3>
                  <p data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" >We are the exclusive distributor of premium car 
                  care brand Angelwax Premium Products.</p>
                </div>
              </div>
              <img data-aos="fade-up" data-aos-duration="500" data-aos-delay="1000" data-aos-once="true" class="distri-icons desktop-icon " src="../assets/icons/MRT.png"  width="150px" alt="Exclusive Distributor">
              <div class="container right">
                <div class="content">
                  <img data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/MRT.png"  width="90px" alt="Exclusive Distributor">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="dist-subhead">Mobile Response Team (M.R.T) </h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" >We have Mobile Response Team (M.R.T.) to attend
                  to client needs immediately.</p>
                </div>
              </div>
              <img data-aos="fade-up" data-aos-duration="500" data-aos-delay="2000" data-aos-once="true" class="distri-icons desktop-icon" src="../assets/icons/VM.png"  width="150px" alt="Exclusive Distributor">
              <div class="container right">
                <div class="content">
                  <img data-aos="fade-up"  data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/VM.png"  width="90px" alt="Exclusive Distributor">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="dist-subhead">Value for Money</h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true">With a full range of product and services that can
                  meet your specific budget, we provide you with value
                  for money.</p>
                </div>
              </div>
          </div>

          <div  class="responsive-services">
              <div class=" right">
                <div class="content">
                 <img data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/Premium.png"  width="70px" alt="Exclusive Distributor">
                  <h3  data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" data-aos-delay="500"  class="dist-subhead">Exclusive Distributor</h3>
                  <p data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" data-aos-delay="500">We are the exclusive distributor of premium car 
                  care brand Angelwax Premium Products.</p>
                </div>
              </div>
              <div class="right">
                <div class="content">
                  <img data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/MRT.png"  width="70px" alt="Exclusive Distributor">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="dist-subhead">Mobile Response Team (M.R.T) </h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" >We have Mobile Response Team (M.R.T.) to attend
                  to client needs immediately.</p>
                </div>
              </div>
              <div class=" right">
                <div class="content">
                  <img data-aos="fade-up" data-aos-duration="500" data-aos-once="true" class="distri-icons responsive-icon" src="../assets/icons/VM.png"  width="70px" alt="Exclusive Distributor">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="dist-subhead">Value for Money</h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true">With a full range of product and services that can
                  meet your specific budget, we provide you with value
                  for money.</p>
                </div>
              </div>
          </div>
        </div>
        <!-- Distribution Page -->

        <!-- Footer Component -->
        <Footer />
        <!-- Footer Component -->

  </div>
</template>

<script>
import Navigation from './Navigation'
import Footer from './Footer'

  export default {
    name:'app',
    components: {
      Navigation,
      Footer

    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.first_section{
  min-height: 250px;
  background-color:white
}

.first_section_text{
  text-align: center;
  margin: auto;
  font-size: 1.5em;
  padding: 60px 0;
  margin-bottom: 0;
}

.second_section{
  background-image: url('../assets/AW_Box-4.jpg');
  background-size: 50% 100%;
  background-position: right;
 background-color:  #184A8F;

}
.second{
  width: 80%;
  margin: auto
}
.second_section_text{
  width: 42%;
  color: white;
  font-size: 1.2em;
  padding: 80px 0
}

.second_section_text > h4{
  color: white;
  font-size: 2em;
  font-weight: bold
}

.third_section_wrapper{
  padding: 100px 0;
  min-height: 500px;
  box-sizing: border-box;

}

.distri-icons{
  float: left;
  margin-left: 200px;
  margin-top:15px
}

* {
  box-sizing: border-box;
}

.dist-subhead{
  color: #184A8F;
  font-weight: bold
}

/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin:  auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 8px;
  background-color: #184A8F;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.container {
  padding: 10px 40px;
  position: relative;
  width: 50%;
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #184A8F;
  border: 4px solid #184A8F;
  top: 75px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 30%;
}


/* Fix the circle for containers on the right side */
.right::after {
  left: -71px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

.responsive-icon{
  display: none
}

.responsive-services{
  display: none
}

 .onresponsive-only{
   display: none
  }
/* Media queries - Responsive timeline on screens less than 600px wide */

@media screen and (max-width: 1024px) {

  .onresponsive-only{
    width: 100%;
    margin: auto;
    text-align: center;
    display: block;
    margin-bottom: -10px
  }
  /* Container around content */
.container {
  padding: 10px 60px;
  position: relative;
  width: 50%;
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #184A8F;
  border: 4px solid #184A8F;
  top: 75px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 25%;
}


/* Fix the circle for containers on the right side */
.right::after {
  left: -12px;
}

.distri-icons{
  float: left;
  margin-left: 200px;
  margin-top:15px
}
    .first_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
}

    .second_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
  text-align: center
}

.second_section{
  background-image: none;
  background-size: 800px 550px;
  background-position: right;
 background-color:  #184A8F;
}
}

@media screen and (max-width: 800px) {
.desktop-icon{
  display: none
}
  .responsive-icon{
  display: block
}

.desktop-services{
  display: none
}

.responsive-services{
  display: block;
  text-align: center
}
    .first_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
}

.distri-icons{
  float: unset;
  margin-right: 0;
  margin-top:0;
  margin: auto;
  text-align: center
}

    .second_section_text {
  width: 80%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
  text-align: center
}

.second_section{
  background-size: 800px 550px;
  background-position: right;
 background-color:  #184A8F;

}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #184A8F;
  border: 4px solid #184A8F;
  top: 75px;
  border-radius: 50%;
  z-index: 1;
}



  /* Place the timelime to the left */
  .timeline::after {
  left: 31px;
  }
  
  /* Full-width containers */
  .container {
  width: 100%;
  padding-left: 70px;
  padding-right: 25px;
  }
  
  /* Make sure that all arrows are pointing leftwards */
  .container::before {
  left: 60px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .left::after, .right::after {
  left: 19px;
  }
  
  /* Make all right containers behave like the left ones */
  .right {
  left: 0%;
  }
}
</style>